/*******************************************
 *   mikelib v0.1                           *
 *                                          *
 *     This is a library with a bunch       *
 *     of usefull functions                 *
 *                                          *
 *                                          *
 *******************************************/

#include <errno.h>
#include <netdb.h>
#include <netinet/in.h>
#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/socket.h>
#include <sys/types.h>

#define BUFLEN 100
#define MAX_SECTIONS 100

char **strparse(char *string, const char *delim, int *numsecs);

int esock_new(char *ip, int port);
char *esock_read(int sockfd);
int esock_write(int sockfd, char *buf);
